using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Xml;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Initialize the Parameters
        string strID = "ALFKI";
        if (Request.Params["ID"] != null)
            strID = Request.Params["ID"];

        // Connect to the Database and run the query
        string strConnectionString = "Data Source=localhost\\SQLExpress;Initial Catalog=NorthWind;Integrated Security=True";
        SqlConnection conn = new SqlConnection(strConnectionString);
        SqlCommand sel = new SqlCommand("Select ContactName, City, Country from Customers where CustomerID = @ID", conn);
        SqlParameter pID = new SqlParameter("@ID", strID);
        sel.Parameters.Add(pID);
        string strReturn = "";
        conn.Open();
        SqlDataReader myReader = sel.ExecuteReader();

        // Load the XML from the Template
        XmlDocument xmlDoc = new XmlDocument();
        xmlDoc.Load(Server.MapPath("template.xaml"));

        // Get the data from the SQL Data Reader and inject it into the XAML
        if(myReader.Read())
        {
            NameTable myn = new NameTable();
            XmlNamespaceManager mng = new XmlNamespaceManager(new NameTable());
            mng.AddNamespace("d", "http://schemas.microsoft.com/winfx/2006/xaml/presentation");
            mng.AddNamespace("x", "http://schemas.microsoft.com/winfx/2006/xaml");

            XmlNode xNode;
            xNode = xmlDoc.SelectSingleNode("//d:TextBlock[@x:Name='txtName']", mng);
            xNode.Attributes["Text"].Value = myReader["ContactName"].ToString();

            xNode = xmlDoc.SelectSingleNode("//d:TextBlock[@x:Name='txtCity']", mng);
            xNode.Attributes["Text"].Value = myReader["City"].ToString();

            xNode = xmlDoc.SelectSingleNode("//d:TextBlock[@x:Name='txtCountry']", mng);
            xNode.Attributes["Text"].Value = myReader["Country"].ToString();

        }
        else
        {
            // Do Nothing
        }
        conn.Close();
        Response.ContentType = "text/xml";
        Response.Write(xmlDoc.InnerXml);
    }
}
